DEV_MKDB(8)

NAME
dev_mkdb - create /dev database

SYNOPSIS
dev_mkdb [-c] [-o database] [directory]

DESCRIPTION
The dev_mkdb command creates a cdbr(3) database in “/var/run/dev.cdb” which contains the names of all of the character and block special files in the specified directory, using the file type and the st_rdev field as the key. If no directory is specified, the “/dev” directory is used.

Keys are a structure containing a mode_t followed by a dev_t, with any padding zero'd out. The former is the type of the file (st_mode & S_IFMT), the latter is the st_rdev field.

The options are as follows:

-c  Create a db(3) database for compatibility with libc versions and statically linked programs from before NetBSD 6.0. The default name is “/var/run/dev.db”.

-o database
    Put the output databases in the named file.

FILES
/dev
    Device directory.
/var/run/dev.db
    Database file.

SEE ALSO
ps(1), stat(2), db(3), devname(3), kvm_nlist(3), ttyname(3)

HISTORY
The dev_mkdb command appeared in 4.4BSD.